/**
 *  Error subclass for signaling keystore errors
 */
export declare class KeystoreError extends Error {
    constructor(message: string);
}
/**
 *  Error subclass for signaling keystore error when a given private key is not found
 */
export declare class PrivateKeyNotFoundError extends KeystoreError {
    keyId: string;
    constructor(keyId: string);
}
/**
 *  Error subclass for signaling keystore error when a given public key is not found
 */
export declare class CertificateNotFoundError extends KeystoreError {
    keyId: string;
    constructor(keyId: string);
}
